package com.engine.recruit.wrapper;

import com.engine.common.util.ServiceUtil;
import com.engine.core.impl.Service;
import com.engine.recruit.service.TalentPoolService;
import com.engine.recruit.service.impl.TalentPoolServiceImpl;
import weaver.hrm.User;

import java.util.Map;

/**
 * @author:dxfeng
 * @createTime: 2023/10/20
 * @version: 1.0
 */
public class TalentPoolWrapper extends Service {
    private TalentPoolService getTalentPoolService(User user) {
        return ServiceUtil.getService(TalentPoolServiceImpl.class, user);
    }

    public Map<String, Object> removeBlacklist(Map<String, Object> param) {
        return getTalentPoolService(user).removeBlacklist(param);
    }
    public Map<String, Object> createNewApplicant(Map<String, Object> param) {
        return getTalentPoolService(user).createNewApplicant(param);
    }
}
